
/**
* Cptopn Check规则
*/
export default {

    "cptp.resbchnam"                      :[checkCptpResbchnamN1000,],
    "cptp.liqtyp"                      :[checkCptpLiqtypN1000,],
    "cpdgrp.ori.pts.adrblk"                      :[checkCpdgrpOriPtsAdrblkN950,],
    "trdgrp.rec.ownref"                      :[checkTrdgrpRecOwnrefN1000,],
    "cptp.recget.sdamod.dadsnd"                      :[checkCptpRecgetSdamodDadsndN1000,],
    "cpdgrp.orc.pts.extkey"                      :[checkCpdgrpOrcPtsExtkeyN950,checkCpdgrpOrcPtsExtkeyN960,],
    "cnybop.outflg"                      :[checkCnybopOutflgN1000,],
    "cpdgrp.pye.namelc"                      :[checkCpdgrpPyeNamelcN1000,],
    "cptp.commet"                      :[checkCptpCommetN1000,],
    "finmod.ratchgdat"                      :[checkFinmodRatchgdatN1000,],
    "cptp.orcp.ptsget.sdamod.dadsnd"                      :[checkCptpOrcpPtsgetSdamodDadsndN1000,],
    "cpdgrp.rec.amt71f"                      :[checkCpdgrpRecAmt71fN1000,],
    "setmod.dspflg"                      :[checkSetmodDspflgN1000,checkSetmodDspflgN1100,checkSetmodDspflgN1200,],
    "cpdgrp.rec.ownref"                      :[checkCpdgrpRecOwnrefN1000,],
    "cpdgrp.orc.adrelc"                      :[checkCpdgrpOrcAdrelcN1000,],
    "finmod.intamt"                      :[checkFinmodIntamtN1000,],
    "cptp.coract"                      :[checkCptpCoractN1000,],
    "cpdgrp.pye.pts.extkey"                      :[checkCpdgrpPyePtsExtkeyN950,checkCpdgrpPyePtsExtkeyN960,],
    "cpdgrp.pye.pts.adrblk"                      :[checkCpdgrpPyePtsAdrblkN950,checkCpdgrpPyePtsAdrblkN1000,],
    "cpdgrp.rec.trntyp"                      :[checkCpdgrpRecTrntypN1000,],
    "cptp.reconebchnam"                      :[checkCptpReconebchnamN1000,],
    "cpdgrp.ori.namelc"                      :[checkCpdgrpOriNamelcN1000,],
    "cnybop.cnyflg"                      :[checkCnybopCnyflgN1000,],
    "cptp.bustyp"                      :[checkCptpBustypN1000,],
    "cpdgrp.rec.sztyp"                      :[checkCpdgrpRecSztypN1000,],
    "finmod.ratchgprd"                      :[checkFinmodRatchgprdN1000,],
    "cptp.pyebchnam"                      :[checkCptpPyebchnamN1000,],
    "cpdgrp.pye.adrelc"                      :[checkCpdgrpPyeAdrelcN1000,],
    "finmod.ratchgtyp"                      :[checkFinmodRatchgtypN1000,],
    "cpdgrp.rec.valdat"                      :[checkCpdgrpRecValdatN1000,],
    "cpdgrp.rec.swftyp"                      :[checkCpdgrpRecSwftypN1000,],
    "cptp.orcnam"                      :[checkCptpOrcnamN1000,],
    "cptp.pyenam"                      :[checkCptpPyenamN1000,],
    "trdgrp.fip.pts.extkey"                      :[checkTrdgrpFipPtsExtkeyN950,checkTrdgrpFipPtsExtkeyN960,],
    "cpdgrp.rec.f36"                      :[checkCpdgrpRecF36N1000,],
    "cpdgrp.rec.amtf33b"                      :[checkCpdgrpRecAmtf33bN1000,],
    "cptp.pyeadr"                      :[checkCptpPyeadrN1000,],
    "trdgrp.fip.namelc"                      :[checkTrdgrpFipNamelcN1000,],
    "finmod.ovdinttyp"                      :[checkFinmodOvdinttypN1000,],
    "cpdgrp.rec.curf33b"                      :[checkCpdgrpRecCurf33bN1000,],
    "cpdgrp.rec.clityp"                      :[checkCpdgrpRecClitypN1000,],
    "cptp.orcadr"                      :[checkCptpOrcadrN1000,],
    "cpdgrp.rec.paytype"                      :[checkCpdgrpRecPaytypeN1000,],
    "finmod.flttyp"                      :[checkFinmodFlttypN1000,],
    "cpdgrp.snd.adrelc"                      :[checkCpdgrpSndAdrelcN1000,],
    "cptp.payeecountcode"                      :[checkCptpPayeecountcodeN1000,],
    "cptp.cleage"                      :[checkCptpCleageN1000,],
    "cptp.resbch"                      :[checkCptpResbchN1000,],
    "finmod.ovdintrat"                      :[checkFinmodOvdintratN1000,],
    "cptp.orip.ptsget.sdamod.dadsnd"                      :[checkCptpOripPtsgetSdamodDadsndN1000,],
    "cpdgrp.orc.pts.adrblk"                      :[checkCpdgrpOrcPtsAdrblkN950,],
    "cpdgrp.rec.ischktyp"                      :[checkCpdgrpRecIschktypN1000,],
    "bopmod.szflg"                      :[checkBopmodSzflgN1000,],
    "cptp.sndp.ptsget.sdamod.dadsnd"                      :[checkCptpSndpPtsgetSdamodDadsndN1000,],
    "cptp.evebch"                      :[checkCptpEvebchN1000,],
    "finmod.fltval"                      :[checkFinmodFltvalN1000,],
    "cptp.secmod"                      :[checkCptpSecmodN1000,],
    "cpdgrp.orc.namelc"                      :[checkCpdgrpOrcNamelcN1000,],
    "cnybop.traflg"                      :[checkCnybopTraflgN1000,],
    "cptp.pyep.ptsget.sdamod.dadsnd"                      :[checkCptpPyepPtsgetSdamodDadsndN1000,],
    "fipp.ptsget.sdamod.dadsnd"                      :[checkFippPtsgetSdamodDadsndN1000,],
    "cpdgrp.ori.adrelc"                      :[checkCpdgrpOriAdrelcN1000,],
    "cpdgrp.snd.pts.adrblk"                      :[checkCpdgrpSndPtsAdrblkN950,],
    "cpdgrp.ori.pts.ref"                      :[checkCpdgrpOriPtsRefN1000,],
    "finmod.act1"                      :[checkFinmodAct1N1000,],
    "finmod.act3"                      :[checkFinmodAct3N1000,],
    "cpdgrp.cbs.nom1.amt"                      :[checkCpdgrpCbsNom1AmtN1000,],
    "finmod.intdat"                      :[checkFinmodIntdatN1000,],
    "cpdgrp.ori.pts.extkey"                      :[checkCpdgrpOriPtsExtkeyN950,checkCpdgrpOriPtsExtkeyN960,],
    "cptp.pyebchkey"                      :[checkCptpPyebchkeyN1000,],
    "cpdgrp.cbs.max.amt"                      :[checkCpdgrpCbsMaxAmtN1000,],
    "cpdgrp.snd.pts.extkey"                      :[checkCpdgrpSndPtsExtkeyN950,checkCpdgrpSndPtsExtkeyN960,],
    "cpdgrp.rec.pyeact"                      :[checkCpdgrpRecPyeactN1000,],
    "trdgrp.fip.pts.adrblk"                      :[checkTrdgrpFipPtsAdrblkN950,],
    "cpdgrp.rec.orcact"                      :[checkCpdgrpRecOrcactN1000,],
    "bopmod.basflg"                      :[checkBopmodBasflgN1000,],
    "trdgrp.fip.adrelc"                      :[checkTrdgrpFipAdrelcN1000,],
    "mtabut.coninf.conexedat"                      :[checkMtabutConinfConexedatN1000,],
    "cpdgrp.rec.paydat"                      :[checkCpdgrpRecPaydatN1000,],
    "cnybop.libflg"                      :[checkCnybopLibflgN1000,],
    "cpdgrp.cbs.max.cur"                      :[checkCpdgrpCbsMaxCurN1000,],
    "cpdgrp.rec.prechkdat"                      :[checkCpdgrpRecPrechkdatN1000,],
    "bopmod.ownextkey"                      :[checkBopmodOwnextkeyN1000,],
    "cpdgrp.rec.sysno"                      :[checkCpdgrpRecSysnoN1000,],
    "setmod.docamt"                      :[checkSetmodDocamtN1000,checkSetmodDocamtN15000,],
    "bopmod.acttyp"                      :[checkBopmodActtypN1000,],
    "cpdgrp.snd.namelc"                      :[checkCpdgrpSndNamelcN1000,],
    "cpdgrp.rec.cur71f"                      :[checkCpdgrpRecCur71fN1000,],
    "cnybop.vouflg"                      :[checkCnybopVouflgN1000,],
}
/**
*   source:cptopn.@0041.script
*   
*/
function checkCptpResbchnamN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptp.@0057.script
*   cptp
*/
function checkCptpLiqtypN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsp.@0014.script
*   cptp.orip
*/
function checkCpdgrpOriPtsAdrblkN950(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0028.script
*   
*/
function checkTrdgrpRecOwnrefN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cpdget.@0001.script
*   cptp.recget
*/
function checkCptpRecgetSdamodDadsndN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsget.@0009.script
*   cptp.orcp.ptsget
*/
function checkCpdgrpOrcPtsExtkeyN950(rule, value, callback)
{
	callback()
}
/**
*   source:ptsp.@0013.script
*   cptp.orcp
*/
function checkCpdgrpOrcPtsExtkeyN960(rule, value, callback)
{
	callback()
}
/**
*   source:cnybop.@0074.script
*   cnybop
*/
function checkCnybopOutflgN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsp.@0038.script
*   cptp.pyep
*/
function checkCpdgrpPyeNamelcN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0065.script
*   
*/
function checkCptpCommetN1000(rule, value, callback)
{
	callback()
}
/**
*   source:finmod.@0029.script
*   finmod
*/
function checkFinmodRatchgdatN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsget.@0001.script
*   cptp.orcp.ptsget
*/
function checkCptpOrcpPtsgetSdamodDadsndN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0036.script
*   
*/
function checkCpdgrpRecAmt71fN1000(rule, value, callback)
{
	callback()
}
/**
*   source:setmod.@0076.script
*   setmod
*/
function checkSetmodDspflgN1000(rule, value, callback)
{
	callback()
}
/**
*   source:setmod.@0090.script
*   setmod
*/
function checkSetmodDspflgN1100(rule, value, callback)
{
	callback()
}
/**
*   source:setmod.@0146.script
*   setmod
*/
function checkSetmodDspflgN1200(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0089.script
*   
*/
function checkCpdgrpRecOwnrefN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsp.@0039.script
*   cptp.orcp
*/
function checkCpdgrpOrcAdrelcN1000(rule, value, callback)
{
	callback()
}
/**
*   source:finmod.@0038.script
*   finmod
*/
function checkFinmodIntamtN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0062.script
*   
*/
function checkCptpCoractN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsget.@0009.script
*   cptp.pyep.ptsget
*/
function checkCpdgrpPyePtsExtkeyN950(rule, value, callback)
{
	callback()
}
/**
*   source:ptsp.@0013.script
*   cptp.pyep
*/
function checkCpdgrpPyePtsExtkeyN960(rule, value, callback)
{
	callback()
}
/**
*   source:ptsp.@0014.script
*   cptp.pyep
*/
function checkCpdgrpPyePtsAdrblkN950(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0212.script
*   
*/
function checkCpdgrpPyePtsAdrblkN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptp.@0030.script
*   cptp
*/
function checkCpdgrpRecTrntypN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0096.script
*   
*/
function checkCptpReconebchnamN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsp.@0038.script
*   cptp.orip
*/
function checkCpdgrpOriNamelcN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cnybop.@0072.script
*   cnybop
*/
function checkCnybopCnyflgN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0047.script
*   
*/
function checkCptpBustypN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptp.@0032.script
*   cptp
*/
function checkCpdgrpRecSztypN1000(rule, value, callback)
{
	callback()
}
/**
*   source:finmod.@0030.script
*   finmod
*/
function checkFinmodRatchgprdN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptp.@0068.script
*   cptp
*/
function checkCptpPyebchnamN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsp.@0039.script
*   cptp.pyep
*/
function checkCpdgrpPyeAdrelcN1000(rule, value, callback)
{
	callback()
}
/**
*   source:finmod.@0037.script
*   finmod
*/
function checkFinmodRatchgtypN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0010.script
*   
*/
function checkCpdgrpRecValdatN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptp.@0055.script
*   cptp
*/
function checkCpdgrpRecSwftypN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0043.script
*   
*/
function checkCptpOrcnamN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0044.script
*   
*/
function checkCptpPyenamN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsget.@0009.script
*   fipp.ptsget
*/
function checkTrdgrpFipPtsExtkeyN950(rule, value, callback)
{
	callback()
}
/**
*   source:ptsp.@0013.script
*   fipp
*/
function checkTrdgrpFipPtsExtkeyN960(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0031.script
*   
*/
function checkCpdgrpRecF36N1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0036.script
*   
*/
function checkCpdgrpRecAmtf33bN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0064.script
*   
*/
function checkCptpPyeadrN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsp.@0038.script
*   fipp
*/
function checkTrdgrpFipNamelcN1000(rule, value, callback)
{
	callback()
}
/**
*   source:finmod.@0028.script
*   finmod
*/
function checkFinmodOvdinttypN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0036.script
*   
*/
function checkCpdgrpRecCurf33bN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptp.@0033.script
*   cptp
*/
function checkCpdgrpRecClitypN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0063.script
*   
*/
function checkCptpOrcadrN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptp.@0031.script
*   cptp
*/
function checkCpdgrpRecPaytypeN1000(rule, value, callback)
{
	callback()
}
/**
*   source:finmod.@0026.script
*   finmod
*/
function checkFinmodFlttypN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsp.@0039.script
*   cptp.sndp
*/
function checkCpdgrpSndAdrelcN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0214.script
*   
*/
function checkCptpPayeecountcodeN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0056.script
*   
*/
function checkCptpCleageN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0040.script
*   
*/
function checkCptpResbchN1000(rule, value, callback)
{
	callback()
}
/**
*   source:finmod.@0040.script
*   finmod
*/
function checkFinmodOvdintratN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsget.@0001.script
*   cptp.orip.ptsget
*/
function checkCptpOripPtsgetSdamodDadsndN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsp.@0014.script
*   cptp.orcp
*/
function checkCpdgrpOrcPtsAdrblkN950(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0105.script
*   
*/
function checkCpdgrpRecIschktypN1000(rule, value, callback)
{
	callback()
}
/**
*   source:boprem.@0022.script
*   bopmod
*/
function checkBopmodSzflgN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsget.@0001.script
*   cptp.sndp.ptsget
*/
function checkCptpSndpPtsgetSdamodDadsndN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0057.script
*   
*/
function checkCptpEvebchN1000(rule, value, callback)
{
	callback()
}
/**
*   source:finmod.@0027.script
*   finmod
*/
function checkFinmodFltvalN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptp.@0062.script
*   cptp
*/
function checkCptpSecmodN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsp.@0038.script
*   cptp.orcp
*/
function checkCpdgrpOrcNamelcN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cnybop.@0073.script
*   cnybop
*/
function checkCnybopTraflgN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsget.@0001.script
*   cptp.pyep.ptsget
*/
function checkCptpPyepPtsgetSdamodDadsndN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsget.@0001.script
*   fipp.ptsget
*/
function checkFippPtsgetSdamodDadsndN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsp.@0039.script
*   cptp.orip
*/
function checkCpdgrpOriAdrelcN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsp.@0014.script
*   cptp.sndp
*/
function checkCpdgrpSndPtsAdrblkN950(rule, value, callback)
{
	callback()
}
/**
*   source:cptp.@0017.script
*   cptp
*/
function checkCpdgrpOriPtsRefN1000(rule, value, callback)
{
	callback()
}
/**
*   source:finmod.@0031.script
*   finmod
*/
function checkFinmodAct1N1000(rule, value, callback)
{
	callback()
}
/**
*   source:finmod.@0032.script
*   finmod
*/
function checkFinmodAct3N1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0023.script
*   
*/
function checkCpdgrpCbsNom1AmtN1000(rule, value, callback)
{
    const that = this;
    that.exeuteCheck("cpdgrp.cbs.nom1.amt").then(res => {
        callback()
    })
}
/**
*   source:finmod.@0024.script
*   finmod
*/
function checkFinmodIntdatN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsget.@0009.script
*   cptp.orip.ptsget
*/
function checkCpdgrpOriPtsExtkeyN950(rule, value, callback)
{
	callback()
}
/**
*   source:ptsp.@0013.script
*   cptp.orip
*/
function checkCpdgrpOriPtsExtkeyN960(rule, value, callback)
{
	callback()
}
/**
*   source:cptp.@0065.script
*   cptp
*/
function checkCptpPyebchkeyN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0000.script
*   
*/
function checkCpdgrpCbsMaxAmtN1000(rule, value, callback)
{
    callback()
}
/**
*   source:ptsget.@0009.script
*   cptp.sndp.ptsget
*/
function checkCpdgrpSndPtsExtkeyN950(rule, value, callback)
{
	callback()
}
/**
*   source:ptsp.@0013.script
*   cptp.sndp
*/
function checkCpdgrpSndPtsExtkeyN960(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0035.script
*   
*/
function checkCpdgrpRecPyeactN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsp.@0014.script
*   fipp
*/
function checkTrdgrpFipPtsAdrblkN950(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0102.script
*   
*/
function checkCpdgrpRecOrcactN1000(rule, value, callback)
{
	callback()
}
/**
*   source:boprem.@0021.script
*   bopmod
*/
function checkBopmodBasflgN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsp.@0039.script
*   fipp
*/
function checkTrdgrpFipAdrelcN1000(rule, value, callback)
{
	callback()
}
/**
*   source:coninf.@0014.script
*   mtabut.coninf
*/
function checkMtabutConinfConexedatN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptp.@0035.script
*   cptp
*/
function checkCpdgrpRecPaydatN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cnybop.@0075.script
*   cnybop
*/
function checkCnybopLibflgN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0001.script
*   
*/
function checkCpdgrpCbsMaxCurN1000(rule, value, callback)
{
    callback()
}
/**
*   source:cptopn.@0104.script
*   
*/
function checkCpdgrpRecPrechkdatN1000(rule, value, callback)
{
	callback()
}
/**
*   source:boprem.@0007.script
*   bopmod
*/
function checkBopmodOwnextkeyN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptp.@0019.script
*   cptp
*/
function checkCpdgrpRecSysnoN1000(rule, value, callback)
{
	callback()
}
/**
*   source:setmod.@0016.script
*   setmod
*/
function checkSetmodDocamtN1000(rule, value, callback)
{
	callback()
}
/**
*   source:liaall.@0036.script
*   liaall
*/
function checkSetmodDocamtN15000(rule, value, callback)
{
	callback()
}
/**
*   source:boprem.@0010.script
*   bopmod
*/
function checkBopmodActtypN1000(rule, value, callback)
{
	callback()
}
/**
*   source:ptsp.@0038.script
*   cptp.sndp
*/
function checkCpdgrpSndNamelcN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cptopn.@0036.script
*   
*/
function checkCpdgrpRecCur71fN1000(rule, value, callback)
{
	callback()
}
/**
*   source:cnybop.@0076.script
*   cnybop
*/
function checkCnybopVouflgN1000(rule, value, callback)
{
	callback()
}
